From dfd8c95ec8982a9ed3ef73d4a64c1bbd7c18b87c Mon Sep 17 00:00:00 2001
From: Thomas Kluyver <thomas@kluyver.me.uk>
Date: Sun, 25 Mar 2012 19:26:47 +0100
Subject: Fix reading binary tzinfo files.

Fix already made upstream.
Patch-Name: read-tz.patch
---
 dateutil/tz.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dateutil/tz.py b/dateutil/tz.py
index 41003df..d0550ad 100644
--- a/dateutil/tz.py
+++ b/dateutil/tz.py
@@ -196,7 +196,7 @@ class tzfile(datetime.tzinfo):
     def __init__(self, fileobj):
         if isinstance(fileobj, str):
             self._filename = fileobj
-            fileobj = open(fileobj)
+            fileobj = open(fileobj, "rb")
         elif hasattr(fileobj, "name"):
             self._filename = fileobj.name
         else:
@@ -212,7 +212,7 @@ class tzfile(datetime.tzinfo):
         # ``standard'' byte order (the high-order  byte
         # of the value is written first).
 
-        if fileobj.read(4).decode() != "TZif":
+        if fileobj.read(4) != b"TZif":
             raise ValueError("magic not found")
 
         fileobj.read(16)
